<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<div class="search">

  <span class="search--bar">
    <input
      #inputField
      (input)="appSearch.emit(inputField.value)"
      (keydown.enter)="$event.preventDefault(); appSearch.emit(inputField.value)"
      [placeholder]="appPlaceholder == null ? '' : appPlaceholder"
      [value]="appSearchText == null ? '' : appSearchText"
      autocomplete="off"
      class="openk-input search--bar--input"
      type="text">

    <mat-icon
      (dblclick)="inputField.select()"
      (pointerdown)="$event.preventDefault(); inputField.focus()"
      class="search--bar--icon">
      search
    </mat-icon>
  </span>
</div>

<div [style.opacity]="appIsLoading ? 1 : 0" class="progress-spinner">
  <app-progress-spinner>
  </app-progress-spinner>
</div>
